Subject: Re: time to change PYTHON_VERSION_DEFAULT to 24?
To: Greg Troxel <>
From: Peter Schuller <>
List: tech-pkg
Date: 07/24/2006 22:26:35
> It's starting to seem awkward for python's default to be at 2.3, when
> there are increasinly many packages that need 2.4.  I tried to build
> some things that depended on a 2.4-only package and gave up, adding
> to /etc/mk.conf, which resulted in successful builds.
> Is it time to change the default to 24?

Sounds like a great idea IMO. 2.4 isn't exactly bleading edge or imature, so I 
see no need to be conservative. And as you say, a lot of stuff already 
requires 2.4 anyway.

/ Peter Schuller, InfiDyne Technologies HB

PGP userID: 0xE9758B7D or 'Peter Schuller <>'
Key retrieval: Send an E-Mail to
E-Mail: Web: